﻿using System;

namespace producerConsumer
{
    public class Consumer
    {
        private readonly IBuffer _buffer;

        /// <summary>
        /// Constructs a new object of the Consumer class
        /// </summary>
        /// <param name="buffer">the buffer to take from</param>
        public Consumer(IBuffer buffer)
        {
            this._buffer = buffer;
        }

        public void Run()
        {
            while (true)
            {
                int element = _buffer.Take();
                Console.WriteLine("Consumer take: " + element);
                //Thread.Sleep(1);
                if (element == Producer.LastItem)
                {
                    break;
                }
            }
        }
    }
}
